Subject: Re: [bug#44555] [PATCH] gnu: Add emacs-next-use-package

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 11 Nov 2020 10:35:52 +0100

Hello,

Andrew Tropin <[email-masked]> writes:

> I will give you a simple example: Someone uses delight (a diminish
> alternative, which also support major modes) instead of diminish and
> they would install emacs-use-package and emacs-delight, but he will also
> get emacs-diminsh as a dependency of emacs-use-package. To remove it
> they will need to inherit emacs-use-package and update
> propagated-inputs.

I don't understand something here. Why would you have to remove Diminsh
in order to use Delight? Can't you have both in "site-lisp" and use
whichever you want?

Regards,

-- 
Nicolas Goaziou